﻿Module WKComPortCode
  Public Sub ConnectPort()
    Dim Ret As Boolean
    If frmWKTest.serialPort.IsOpen Then
      frmWKTest.serialPort.Close()
    End If
    Try
      With frmWKTest.serialPort
        .PortName = frmWKTest.cbbCOMPorts.Text
        .BaudRate = 1200
        .Parity = IO.Ports.Parity.None
        .DataBits = 8
        .StopBits = IO.Ports.StopBits.One
        .DtrEnable = True
        .RtsEnable = False
      End With
      frmWKTest.serialPort.Open()
      System.Threading.Thread.Sleep(400) 'Delay 400 ms for compatibility
      frmWKTest.serialPort.DiscardInBuffer()
      frmWKTest.serialPort.DiscardOutBuffer()
    Catch ex As Exception
      MsgBox(ex.ToString)
    End Try

    If frmWKTest.serialPort.IsOpen Then
      frmWKTest.lblMessage.Text = frmWKTest.cbbCOMPorts.Text & " Connected."

      'Start of Com with WK.....
      frmWKTest.serialPort.Write(AdminReset, 0, 2) 'Reset in case WK is self Powered
      System.Threading.Thread.Sleep(400) 'Delay 400 ms 
      Call HostClose()   'JIC
      frmWKTest.serialPort.Write(AdminNull, 0, 4)  'Issue 4 null commands.
      Ret = EchoAChar("W")  'Set Echo and send a "W"
      Ret = EchoAChar("K")  'Set Echo and send a "K"

      frmWKTest.btnConnect.Enabled = False  'Prevent connect attempt when connected.
      frmWKTest.btnDisconnect.Enabled = True 'Allow disconnect....
    Else
      frmWKTest.lblMessage.Text = frmWKTest.cbbCOMPorts.Text & " Failed Open."
    End If

    frmWKTest.txtDataToSend.Focus()
  End Sub

  Public Sub DisconnectPort()
    Try
      frmWKTest.serialPort.DtrEnable = False
      frmWKTest.serialPort.Close()
      frmWKTest.lblMessage.Text = frmWKTest.serialPort.PortName & " Disconnected."
      frmWKTest.btnConnect.Enabled = True
      frmWKTest.btnDisconnect.Enabled = False
    Catch ex As Exception
      MsgBox(ex.ToString)
    End Try
  End Sub
End Module
