﻿Module WKPauseResumeTuneClearCode

  Public Sub PauseResume()
    If frmWKTest.cmdPause.Text = "Pause" Then
      Try
        frmWKTest.serialPort.Write(HostSetPauseSTOP, 0, 1) 'Write bytes, starting at 0, count of 2
        frmWKTest.cmdPause.Text = "Resume"
        frmWKTest.cmdPause.BackColor = Color.Orange
      Catch ex As Exception
        MsgBox(ex.ToString)
      End Try
    ElseIf frmWKTest.cmdPause.Text = "Resume" Then
      Try
        frmWKTest.serialPort.Write(HostSetPauseGO, 0, 1) 'Write bytes, starting at 0, count of 2
        frmWKTest.cmdPause.Text = "Pause"
        frmWKTest.cmdPause.BackColor = Color.LightGreen
      Catch ex As Exception
        MsgBox(ex.ToString)
      End Try
    End If
    frmWKTest.txtDataToSend.Focus()
  End Sub

  Public Sub WKTune()
    If frmWKTest.cmdTune.Text = "TUNE" Then
      Try
        frmWKTest.serialPort.Write(HostKeyDown, 0, 2) 'Write bytes, starting at 0, count of 2
        frmWKTest.cmdTune.Text = "KEYED"
        frmWKTest.cmdTune.BackColor = Color.Red
      Catch ex As Exception
        MsgBox(ex.ToString)
      End Try
    ElseIf frmWKTest.cmdTune.Text = "KEYED" Then
      Try
        frmWKTest.serialPort.Write(HostKeyUp, 0, 2) 'Write bytes, starting at 0, count of 2
        frmWKTest.cmdTune.Text = "TUNE"
        frmWKTest.cmdTune.BackColor = Color.LightGreen
        frmWKTest.lblCWBusy.Text = ""
        frmWKTest.lblCWBusy.BackColor = Color.White
      Catch ex As Exception
        MsgBox(ex.ToString)
      End Try
    End If

    frmWKTest.txtDataToSend.Focus()
  End Sub

  Public Sub ClearWKBuffer()
    Try
      frmWKTest.serialPort.Write(HostClearWKBuffer, 0, 1)  'Write bytes, starting at 0, count of 2
    Catch ex As Exception
      MsgBox(ex.ToString)
    End Try
    frmWKTest.txtDataToSend.Focus()
  End Sub

End Module
