﻿Module WKImmediateAdminCMDs
  'Commands on closed WK, or to open WK....
  Public Sub HostOpen()
    'Immediate command #2
    Dim OpenNOPs(3) As Byte
    OpenNOPs(0) = &H13  '&H13 = Dec 19 ???
    OpenNOPs(1) = &H13
    OpenNOPs(2) = &H13
    OpenNOPs(3) = &H13
    Try
      Call HostClose()  'Just in case WK is already open....
      System.Threading.Thread.Sleep(100) 'Delay  
      frmWKTest.serialPort.Write(AdminOpen, 0, 2)  'Write bytes, starting at 0, count of 2
      frmWKTest.serialPort.ReadTimeout = 10
      System.Threading.Thread.Sleep(100) 'Delay 100 ms
    Catch ex As Exception
      MsgBox(ex.ToString)
    End Try
    Call InitToneAndPaddle()  'Stuff to get going on open
    Call InitSpeedPotAndWPM()
    Call RequestWK2Status()
    Call RequestWK2Status()
    frmWKTest.txtDataToSend.Focus()  'Put the cursor back in the send text box...
  End Sub

  Public Sub HostClose()
    'Immediate command #3
    Try
      frmWKTest.serialPort.Write(AdminClose, 0, 2)  'Write bytes, starting at 0, count of 2
    Catch ex As Exception
      MsgBox(ex.ToString)
    End Try
    frmWKTest.txtDataToSend.Focus()
  End Sub

  Public Function EchoAChar(ByRef Char1 As Char) As Boolean
    'Immediate command #4
    Try
      frmWKTest.serialPort.Write(AdminEcho, 0, 2)  'Write bytes, starting at 0, count of 2
      frmWKTest.serialPort.Write(Char1)  'WK should echo Char1 as requested
    Catch ex As Exception
      MsgBox(ex.ToString)
    End Try
  End Function

  Public Sub GetValues()
    'Immediate command #7
    Try
      frmWKTest.serialPort.Write(AdminGetValues, 0, 2)  'Write bytes, starting at 0, count of 2
    Catch ex As Exception   'I could not get this command to respond.....????
      MsgBox(ex.ToString)
    End Try
    frmWKTest.txtDataToSend.Focus()
  End Sub


  Public Sub SetWK1Mode()
    'Immediate command #10
    Try
      frmWKTest.serialPort.Write(AdminSetWK1Mode, 0, 2)  'Write bytes, starting at 0, count of 2
    Catch ex As Exception
      MsgBox(ex.ToString)
    End Try
    frmWKTest.txtDataToSend.Focus()
  End Sub

  Public Sub SetWK2Mode()
    'Immediate command #11
    Try
      frmWKTest.serialPort.Write(AdminSetWK2Mode, 0, 2)  'Write bytes, starting at 0, count of 2
    Catch ex As Exception
      MsgBox(ex.ToString)
    End Try
    frmWKTest.txtDataToSend.Focus()
  End Sub

  Public Sub DumpEEPROM()
    'Immediate command #12
    Try
      frmWKTest.serialPort.Write(AdminDumpEPROM, 0, 2)  'Write bytes, starting at 0, count of 2
    Catch ex As Exception
      MsgBox(ex.ToString)
    End Try
    frmWKTest.txtDataToSend.Focus()
  End Sub

End Module
